
TYPO3.Flow - Feature # 6685

Status: Resolved Priority: Must have
Author: Jochen Rau Category: Persistence
Created: 2010-03-03 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement countAll() and countByFoo('bar') in the Persistence Repository
Description

I have implemented this handy methods in Extbase to invoke $query->matching()->count().

Associated revisions
Revision 2f54ad22 - 2010-03-04 11:44 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): The Repository class now has countAll() and countBy*() support, resolves #6685.
[~API] FLOW3 (Persistence): Renamed findByUUID() to findByUuid().
[+API] FLOW3 (Persistence): Added countAll() and countBy*() to RepositoryInterface, relates to #6685; added some more (existing) signatures to the
interface as well.

History
#1 - 2010-03-03 21:16 - Jochen Rau

This feature request is related to #6234.

#2 - 2010-03-04 11:07 - Karsten Dambekalns
- Status changed from New to Accepted
- Target version set to 1.0 alpha 8

#3 - 2010-03-04 12:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3904.
